Retrieve signed URL

API to retrieve signed URL to upload media directly to our storage

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
curl -X GET 'https://apis.elai.io/api/v1/uploads/signedUrl?name=<name>&mimetype=<mimetype>' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
{
  "signedUrl": "https://elai-us-prod.s3.us-east-2.amazonaws.com/production/uploads/627a7bfac1806e45fa2ab26f/file.file?Content-Type=image%2Fjpeg&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=AKIAW6FMUIGA6NPIQQ5B%2F20230626%2Fus-east-2%2Fs3%2Faws4_request&X-Amz-Date=20230626T083440Z&X-Amz-Expires=600&X-Amz-Signature=2daea7a215583185e5720f934350fecb7d44644640045b67aaf04130c8ac138&X-Amz-SignedHeaders=host"
}

Next: upload-confirm — the signed URL is only half of the upload.

Query Params
string
required

File name

string
required

MIME type of the file. Images and videos only — anything else is rejected with 400 Wrong file type, only images, gifs and videos supported (controllers/uploads/uploads.js:105). Both name and mimetype are required.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json